|  | Home · All Classes · Modules

# QDesignerFormWindowInterface.Feature Class Reference
[QtDesigner module]

### Methods

- __init__ (self, Feature)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- Feature __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, Feature f)
- Feature __iand__ (self, int mask)
- int __int__ (self)
- Feature __invert__ (self)
- Feature __ior__ (self, Feature f)
- Feature __ixor__ (self, Feature f)
- bool __ne__ (self, Feature f)
- Feature __or__ (self, Feature f)
- Feature __or__ (self, int f)
- Feature __xor__ (self, Feature f)
- Feature __xor__ (self, int f)

## Detailed Description

FeatureFlag may be used whenever Feature is expected.

## Method Documentation

### Feature.__init__ (self, Feature)

### Feature.__init__ (self, int)

### Feature.__init__ (self)

### Feature Feature.__and__ (self, int mask)

### int Feature.__bool__ (self)

### bool Feature.__eq__ (self, Feature f)

### Feature Feature.__iand__ (self, int mask)

### int Feature.__int__ (self)

### Feature Feature.__invert__ (self)

### Feature Feature.__ior__ (self, Feature f)

### Feature Feature.__ixor__ (self, Feature f)

### bool Feature.__ne__ (self, Feature f)

### Feature Feature.__or__ (self, Feature f)

### Feature Feature.__or__ (self, int f)

### Feature Feature.__xor__ (self, Feature f)

### Feature Feature.__xor__ (self, int f)